%define	pkgname		Vuze
%define	pkgversion	5740

Name:		vuze
Version:	5.7.4.0
Release:	%mkrel 1
Summary:	A BitTorrent Client
Group:		Networking/File transfer
License:	GPLv2
URL:		http://www.vuze.com/
Source0:	http://sourceforge.net/projects/azureus/files/vuze/%{pkgname}_%{pkgversion}/%{pkgname}_%{pkgversion}_source.zip
Source2:	Azureus.desktop
Source3:	azureus.applications
#ant build script from Azureus-4.3.0.6
Source4:	build.xml
Patch1:		azureus-5.3.0.0-mga-remove-manifest-classpath.patch
Patch2:		azureus-5.3.0.0-mga-no-shared-plugins.patch
Patch3:		azureus-5.7.2.0-mga-SecureMessageServiceClientHelper-bcprov.patch
Patch4:		azureus-5.7.0.0-mga-boo-osx.patch
Patch6:		azureus-5.6.1.2-mga-stupid-invalid-characters.patch
Patch7:		azureus-5.3.0.0-mga-java5.patch
Patch8:		azureus-5.7.3.0-mga-no-bundled-apache-commons.patch
Patch9:		azureus-5.7.2.0-mga-no-bundled-bouncycastle.patch
Patch10:	azureus-5.7.2.0-mga-no-bundled-json.patch
Patch11:	azureus-5.5.0.0-mga-fix_compile.patch
Patch12:	azureus-5.7.4.0-mga-startupScript.patch
Patch13:	azureus-5.3.0.0-disable-updaters.patch

BuildArch:	noarch

BuildRequires:	ant
BuildRequires:	apache-commons-cli
BuildRequires:	apache-commons-lang
BuildRequires:	bouncycastle >= 1.33-3
BuildRequires:	eclipse-swt >= 3.5
BuildRequires:	java-devel >= 1.7.0
BuildRequires:	jpackage-utils >= 1.5
BuildRequires:	junit
BuildRequires:	liblog4j12-java
BuildRequires:	xml-commons-apis
BuildRequires:	desktop-file-utils
BuildRequires:	json_simple

Requires:	apache-commons-cli
Requires:	apache-commons-lang
Requires:	bouncycastle >= 1.33-3
Requires:	eclipse-swt >= 3.5
Requires:	log4j12
Requires:	liblog4j12-java
Requires:	java-headless
Requires:	json_simple

Provides:	azureus = %{version}-%{release}

%description
Azureus (now %{pkgname}) implements the BitTorrent protocol using java
and comes bundled with many invaluable features for both beginners and
advanced users.

%prep
%setup -q -c

cp %{SOURCE4} .

%autopatch -p1

rm org/gudy/azureus2/ui/swt/osx/CarbonUIEnhancer.java
rm org/gudy/azureus2/ui/swt/osx/Start.java
rm org/gudy/azureus2/ui/swt/win32/Win32UIEnhancer.java

#hacks to org.eclipse.swt.widgets.Tree2 don't compile.
rm -fR org/eclipse

# Convert line endings...
sed -i 's/\r//' ChangeLog.txt
chmod 644 *.txt

#remove bundled libs
rm -fR org/apache
rm -fR org/bouncycastle
rm -fR org/json

%build
mkdir -p build/libs
build-jar-repository -p build/libs bcprov apache-commons-cli log4j-1.2.17 \
	junit apache-commons-lang json_simple

#ppc seems to have eclipse-swt.ppc64 installed so libdir can't be used
if [ -e /usr/lib/eclipse/swt.jar ];then
	ln -s /usr/lib/eclipse/swt.jar build/libs
else
	ln -s /usr/lib64/eclipse/swt.jar build/libs
fi

%ant jar

%install
# .jar-repertory
mkdir -p %{buildroot}%{_javadir}/azureus
install -m 0644 dist/Azureus2.jar %{buildroot}%{_javadir}/azureus/Azureus2.jar

# launcher
mkdir -p %{buildroot}%{_bindir}
install -pm 0755 org/gudy/azureus2/platform/unix/startupScript %{buildroot}%{_bindir}/azureus

# icons
mkdir -p %{buildroot}%{_datadir}/pixmaps
mkdir -p %{buildroot}%{_iconsdir}/hicolor/16x16/apps
mkdir -p %{buildroot}%{_iconsdir}/hicolor/32x32/apps
mkdir -p %{buildroot}%{_iconsdir}/hicolor/64x64/apps
install -m 0644 org/gudy/azureus2/ui/icons/a32.png %{buildroot}%{_datadir}/pixmaps/azureus.png
install -m 0644 org/gudy/azureus2/ui/icons/a16.png %{buildroot}%{_iconsdir}/hicolor/16x16/apps/azureus.png
install -m 0644 org/gudy/azureus2/ui/icons/a32.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/azureus.png
install -m 0644 org/gudy/azureus2/ui/icons/a64.png %{buildroot}%{_iconsdir}/hicolor/64x64/apps/azureus.png

# desktop file menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install \
	--remove-key=Encoding \
	--dir %{buildroot}%{_datadir}/applications %{SOURCE2}

# application-registry
mkdir -p %{buildroot}%{_datadir}/application-registry
install -m 0644 %{SOURCE3} %{buildroot}%{_datadir}/application-registry

# data-plugins
install -dm 0755 %{buildroot}%{_datadir}/azureus/plugins

%files
%doc ChangeLog.txt GPL.txt
%{_bindir}/azureus
%{_datadir}/azureus/
%{_javadir}/azureus/
%{_datadir}/applications/*.desktop
%{_datadir}/application-registry/*.applications
%{_datadir}/pixmaps/azureus.png
%{_iconsdir}/hicolor/16x16/apps/azureus.png
%{_iconsdir}/hicolor/32x32/apps/azureus.png
%{_iconsdir}/hicolor/64x64/apps/azureus.png


%changelog
* Thu Dec 01 2016 daviddavid <daviddavid> 5.7.4.0-1.mga6
+ Revision: 1071413
- new version: 5.7.4.0
- rename and rediff startupScript patch

* Sat Aug 20 2016 daviddavid <daviddavid> 5.7.3.0-1.mga6
+ Revision: 1047147
- new version: 5.7.3.0
- rename and rediff Patch 8

* Tue Aug 02 2016 daviddavid <daviddavid> 5.7.2.0-1.mga6
+ Revision: 1044254
- new version: 5.7.2.0
- rename and rediff Patches 3, 9, 10

* Wed Mar 02 2016 daviddavid <daviddavid> 5.7.1.0-1.mga6
+ Revision: 982926
- new version: 5.7.1.0
- patch13: disable-updaters
- SWT_GTK3=0 is still needed

* Sat Feb 20 2016 umeabot <umeabot> 5.7.0.0-2.mga6
+ Revision: 972585
- Mageia 6 Mass Rebuild

* Mon Nov 16 2015 daviddavid <daviddavid> 5.7.0.0-1.mga6
+ Revision: 903497
- new version: 5.7.0.0
- rename and rediff patch4 and patch12

* Mon Aug 24 2015 daviddavid <daviddavid> 5.6.2.0-1.mga6
+ Revision: 868942
- new version: 5.6.2.0
- add missing provides on azureus

* Mon Jun 22 2015 daviddavid <daviddavid> 5.6.1.2-1.mga6
+ Revision: 839131
- new version: 5.6.1.2
- rename and rediff Patches 6, 8, 12
- add missing Requires on apache-commons-lang

* Fri Feb 13 2015 daviddavid <daviddavid> 5.5.0.0-4.mga5
+ Revision: 814856
- update startup script using the one provided by upstream
  * drop the previous script
  * add json_simple build-classpath
  * disable attempt to update SWT (like Fedora's package)
- drop azureus-cache-size.patch and azureus-boo-updating-w32.patch (like Fedora's package)
- unbundle json (as it built now with our new json_simple package)
- fix missing trailing symbol (;) on Desktop file

* Fri Jan 02 2015 daviddavid <daviddavid> 5.5.0.0-3.mga5
+ Revision: 808208
- more switch to log4j12 (log4j-1.2.17)
- update azureus.script
- update Requires (vuze need log4j-1.2.17.jar to run properly)

* Fri Jan 02 2015 daviddavid <daviddavid> 5.5.0.0-2.mga5
+ Revision: 808200
- switch to log4j12 (log4j-1.2.17)
- update BuildRequires and Requires
- update to java-headless

* Sun Nov 23 2014 daviddavid <daviddavid> 5.5.0.0-1.mga5
+ Revision: 798571
- new version: 5.5.0.0
- add patch from fedora to fix building without bundled lib on apache (fix_compile)
- build without bundled lib on bouncycastle
- remove previous patch9 (no json bundled)
  * unneeded as build fails with our json_simple package

* Wed Oct 15 2014 umeabot <umeabot> 5.4.0.0-3.mga5
+ Revision: 747789
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.4.0.0-2.mga5
+ Revision: 690252
- Mageia 5 Mass Rebuild

* Fri Aug 15 2014 daviddavid <daviddavid> 5.4.0.0-1.mga5
+ Revision: 662915
- move jar file into %%{_javadir}
- add two patches from Fedora (no json bundled and no bouncycastle bundled)
- new version: 5.4.0.0

* Sat Mar 01 2014 david-david <david-david> 5.3.0.0-1.mga5
+ Revision: 598346
- drop Patch 'azureus-4.8.1.2-fix-compile.patch' (not needed for this version)
- rediff and rename all patch (needed for this version)
- update License
- update URL
- update link url for Source0
- new version: 5.3.0.0

* Tue Oct 22 2013 umeabot <umeabot> 5.1.0.0-2.mga4
+ Revision: 541509
- Mageia 4 Mass Rebuild

* Sat Oct 12 2013 dmorgan <dmorgan> 5.1.0.0-1.mga4
+ Revision: 496035
- New version

* Wed Jul 17 2013 dmorgan <dmorgan> 5.0.0.0-1.mga4
+ Revision: 455189
- New version

* Mon Jan 14 2013 umeabot <umeabot> 4.6.0.4-4.mga3
+ Revision: 385582
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 13 2013 dmorgan <dmorgan> 4.6.0.4-3.mga3
+ Revision: 380084
- Fix files encoding

* Fri Aug 05 2011 dmorgan <dmorgan> 4.6.0.4-2.mga2
+ Revision: 131836
- Fix package name
- Add back console subpackage
- Update to version 4.6.0.4
- Sync with fedora
- use webkit instead of xulrunner, works around RHBz 674838

* Sat Mar 26 2011 blino <blino> 4.3.0.4-2.mga1
+ Revision: 77875
- remove old version checks and scriptlets
- imported package vuze

